Subject: [VCARDDAV] [Technical Errata Reported] RFC6350 (3086)

From: RFC Errata System <[email-masked]>
Date: Mon, 9 Jan 2012 10:07:59 -0800 (PST)

The following errata report has been submitted for RFC6350,
"vCard Format Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=3086

--------------------------------------
Type: Technical
Reported by: Roberto Javier Godoy <[email-masked]>

Section: 6.2.6

Original Text
-------------
     ANNIVERSARY-param = "VALUE=" ("date-and-or-time" / "text")
     ANNIVERSARY-value = date-and-or-time / text
       ; Value and parameter MUST match.

     ANNIVERSARY-param =/ altid-param / calscale-param / any-param
       ; calscale-param can only be present when ANNIVERSARY-value is
       ; date-and-or-time and actually contains a date or date-time.

Corrected Text
--------------
     ANNIVERSARY-param = ANNIVERSARY-param-date / ANNIVERSARY-param-text
     ANNIVERSARY-value = date-and-or-time / text
       ; Value and parameter MUST match.

     ANNIVERSARY-param-date = "VALUE=date-and-or-time"
     ANNIVERSARY-param-text = "VALUE=text" / language-param
     
     ANNIVERSARY-param =/ altid-param / calscale-param / any-param
       ; calscale-param can only be present when ANNIVERSARY-value is
       ; date-and-or-time and actually contains a date or date-time.

Notes
-----
language-param should be allowed when ANNIVERSARY is reset to a single text value (BDAY, defined in section 6.2.5 accepts language-param)

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6350 (draft-ietf-vcarddav-vcardrev-22)
--------------------------------------
Title               : vCard Format Specification
Publication Date    : August 2011
Author(s)           : S. Perreault
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Simon Perreault <[email-masked]>
Date: Wed, 11 Jan 2012 09:03:19 -0500

Looks correct to me. But I wonder if it is an errata (as in "vCard 4 
does this and the text is wrong") or a bug (as in "vCard 4 should do 
this, the text is wrong").

Simon

On 01/09/2012 01:07 PM, RFC Errata System wrote:
> Reported by: Roberto Javier Godoy<[email-masked]>
>
> Section: 6.2.6
>
> Original Text
> -------------

-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: "Javier Godoy" <[email-masked]>
Date: Thu, 12 Jan 2012 13:39:10 -0300

On  01/11/2012 11:03 AM, Simon Perreault wrote:

> Looks correct to me. But I wonder if it is an errata (as in "vCard 4 does
> this and the text is wrong") or a bug (as in "vCard 4 should do this, the
> text is wrong").

I don't know of vCard 4 implementations "doing this", but any use case
requiring BDAY or DEATHDATE (DDAY in vcardrev-13 when the parameter was added)
as a text-valued property with language-param is applicable to ANNIVERSARY.

I think that the intended consensus was that text-valued properties with date
semantics should allow language-param, and this case was only an unintentional
omission.

Best regards

Javier

----- Original Message ----- 

>> language-param should be allowed when ANNIVERSARY is reset to a single text
>> value (BDAY, defined in section 6.2.5 accepts language-param)
>>
>> Instructions:
>> -------------

---

From: Barry Leiba <[email-masked]>
Date: Fri, 13 Jan 2012 09:42:11 -0500

> I think that the intended consensus was that text-valued properties with
> date semantics should allow language-param, and this case was only an
> unintentional omission.

Je suis d'accord.
I think this is a valid erratum.

Barry

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 23 Jan 2012 12:06:15 -0700

> I think this is a valid erratum.

Processed as "verified"...

http://www.rfc-editor.org/errata_search.php?rfc=6350

Peter

-- 
Peter Saint-Andre
https://stpeter.im/